import configparser
import pathlib

from . import import_or_install

def get_config():
    appdirs = import_or_install('appdirs')
    config_dir = pathlib.Path(appdirs.user_config_dir(appname='ctec', appauthor=False))
    config_file = config_dir / 'ctec.ini'
    print(config_file)
    config = configparser.ConfigParser()
    config.read(config_file)
    if len(config.sections()) == 0:
        config['global'] = {'awesomeness': '69'}
        config_dir.mkdir(parents=True, exist_ok=True)
        with open(config_file, 'w') as config_file:
            config.write(config_file)
    return config
